Players
Create player
POST
https://api.kinescope.io/v1/playersCreates a new player. Returns the newly created object on success.
Request body (json)
{
"name": "my player 1",
"settings": {},
"ads": [
{
"url": "https://example.com/ads/vast.xml",
"trigger": {
"type": "preroll",
"trigger_settings": {
"timePoints": [
10
],
"percentages": [
50
],
"interval": 30
}
},
"countries": {
"items": [
"ru"
],
"type": "include"
}
}
]
}Set logo
POST
https://api.kinescope.io/v1/players/:player_id/logoUploads a logo image that is shown on top of videos played with this player.
Get players
GET
https://api.kinescope.io/v1/playersReturns a list of players. Results are paginated and can be filtered via query parameters.
Responses
{
"meta": {
"offset": 0,
"limit": 10,
"total": 25,
"total_count": 0,
"order": {
"created_at": "asc"
},
"parent_id": null
},
"data": [
{
"id": "<UUID>",
"workspace_id": "<UUID>",
"name": "ReactNative Player",
"settings": {
"audio_only_option": true,
"call_to_action_background_url": "",
"call_to_action_button_text": "23324",
"call_to_action_button_url": "https://example.com",
"call_to_action_description": "A wonderful journey",
"call_to_action_link_text": "",
"call_to_action_link_url": "",
"call_to_action_title": "test",
"chat_button": true,
"chat_in_fullscreen": true,
"control_bar_visible_on_load": false,
"corner_rounding": 12,
"default_video_quality": 720,
"live_viewers_counter": true,
"logo_title": "3333",
"logo_url": "https://example.com/logo.png",
"show_download_links": true,
"title_subtitle": false,
"title_subtitle_visible_on_load": false,
"volume": 50,
"watermark_color": "#20202052",
"watermark_enabled": true,
"watermark_frequency": 1,
"watermark_text": "check this out"
},
"created_by_user_name": "Example User",
"created_at": "2021-08-09T08:56:36.632808Z",
"updated_at": "2026-04-06T17:14:48.246217Z",
"media_count": 0,
"ads": []
},
{
"id": "<UUID>",
"workspace_id": "<UUID>",
"name": "Media Pro",
"settings": {
"brand_color": "#000000",
"corner_rounding": 6,
"logo_title": "Media Pro",
"logo_url": "https://example.com/logo.png",
"preview_play_button": false,
"title_subtitle": false,
"title_subtitle_visible_on_load": false,
"video_preload": true,
"volume": 50,
"watermark_color": "#22222252",
"watermark_type": "stripes"
},
"created_by_user_name": "Example User",
"created_at": "2021-09-26T16:18:59.438771Z",
"updated_at": "2025-03-31T13:18:28.624865Z",
"media_count": 0,
"ads": []
},
{
"id": "<UUID>",
"workspace_id": "<UUID>",
"name": "AV Player",
"settings": {
"brand_color": "#81BC3D",
"control_bar_visible_on_load": false,
"custom_logo": true,
"logo_title": "Gourmet Store",
"logo_url": "https://example.com/logo.png",
"preview_play_button": true,
"title_subtitle": false,
"title_subtitle_visible_on_load": false
},
"created_by_user_name": "Example User",
"created_at": "2021-11-24T13:57:11.009629Z",
"updated_at": "2021-11-25T10:14:31.243518Z",
"media_count": 0,
"ads": []
},
{
"id": "<UUID>",
"workspace_id": "<UUID>",
"name": "Marketing player",
"settings": {
"brand_color": "#2DBE64",
"control_bar_visible_on_load": false,
"custom_logo": true,
"logo_title": "Example Inc.",
"logo_url": "",
"preview_play_button": true,
"title_subtitle": false,
"title_subtitle_visible_on_load": false
},
"created_by_user_name": "Example User",
"created_at": "2022-05-14T12:04:55.394238Z",
"updated_at": "2022-12-08T10:41:07.29691Z",
"media_count": 0,
"ads": []
},
{
"id": "<UUID>",
"workspace_id": "<UUID>",
"name": "No play button",
"settings": {
"brand_color": "#FF2B2B",
"control_bar_visible_on_load": false,
"custom_logo": false,
"logo_title": "Aurora Network",
"logo_url": "https://example.com/logo.png",
"preview_play_button": false,
"title_subtitle": false,
"title_subtitle_visible_on_load": false
},
"created_by_user_name": "Example User",
"created_at": "2022-08-18T11:34:59.943305Z",
"updated_at": "2022-08-18T11:35:24.943292Z",
"media_count": 0,
"ads": []
},
{
"id": "<UUID>",
"workspace_id": "<UUID>",
"name": "Marketing player copy",
"settings": {
"brand_color": "#2DBE64",
"control_bar_visible_on_load": false,
"custom_logo": true,
"logo_title": "Example Inc.",
"logo_url": "https://example.com/logo.png",
"preview_play_button": true,
"title_subtitle": false,
"title_subtitle_visible_on_load": false
},
"created_by_user_name": "Example User",
"created_at": "2022-08-18T11:37:12.96284Z",
"updated_at": "2022-12-08T10:52:55.736075Z",
"media_count": 0,
"ads": []
},
{
"id": "<UUID>",
"workspace_id": "<UUID>",
"name": "vdtest",
"settings": {
"airplay_button": true,
"allow_original": false,
"audio_only_option": false,
"audio_tracks_button": true,
"autopause": true,
"autoplay": false,
"autoswitch_button": true,
"brand_color": "#FC61F4",
"buttons_bar": true,
"chromecast_button": true,
"control_bar": true,
"control_bar_visible_on_load": false,
"corner_rounding": 11,
"custom_logo": true,
"data_tracking": true,
"default_language_audio": false,
"default_language_subtitle": false,
"download": false,
"enable_default_subtitle": true,
"endscreen": "replay",
"fullscreen_button": true,
"fullscreen_fallback": "pseudo",
"go_fullscreen_on_play": false,
"go_fullscreen_on_unmute": false,
"hotkeys_control": true,
"logo_title": "",
"logo_url": "",
"pip_button": true,
"play_button": true,
"play_on_cursor": false,
"playback_speed_button": true,
"playback_speed_menu": true,
"playinline": true,
"preview_play_button": true,
"rotate_to_fullscreen": false,
"seo_metadata": true,
"settings_button": true,
"share": false,
"show_number_live_viewers": true,
"show_time": true,
"timeline": true,
"timeline_history": true,
"title_subtitle": false,
"title_subtitle_visible_on_load": false,
"video_preload": false,
"volume_button": true,
"watermark_color": "#22222252",
"watermark_enabled": true,
"watermark_frequency": 10,
"watermark_size": 25,
"watermark_type": "random"
},
"created_by_user_name": "Dmitriy Vladykin",
"created_at": "2023-01-11T17:53:31.669743Z",
"updated_at": "2023-03-07T18:00:27.134094Z",
"media_count": 0,
"ads": []
},
{
"id": "<UUID>",
"workspace_id": "<UUID>",
"name": "11",
"settings": {
"audio_only_option": true,
"call_to_action_button_text": "2342344",
"call_to_action_button_url": "https://kinescope.ru",
"call_to_action_description": "",
"call_to_action_link_text": "",
"call_to_action_link_url": "",
"call_to_action_title": "Sample call to action",
"chat_button": true,
"playlist_menu_visible_on_load": true,
"rotate_to_fullscreen": true,
"show_download_links": true,
"video_preload": true,
"watermark_color": "#FFFFFF96",
"watermark_enabled": true,
"watermark_frequency": 3,
"watermark_size": 2
},
"created_by_user_name": "Dmitriy Vladykin",
"created_at": "2023-01-12T09:34:46.871692Z",
"updated_at": "2026-04-16T09:58:43.985102Z",
"media_count": 0,
"ads": []
},
{
"id": "<UUID>",
"workspace_id": "<UUID>",
"name": "new",
"settings": {
"brand_color": "#5CD8AF",
"control_bar_visible_on_load": false,
"title_subtitle": false,
"title_subtitle_visible_on_load": false,
"watermark_color": "#22222252",
"watermark_type": "stripes"
},
"created_by_user_name": "Example User",
"created_at": "2023-03-16T08:57:07.337214Z",
"updated_at": "2024-08-26T13:40:13.960901Z",
"media_count": 0,
"ads": []
},
{
"id": "<UUID>",
"workspace_id": "<UUID>",
"name": "test",
"settings": {
"autoplay": true,
"buttons_bar": false,
"corner_rounding": 12,
"endscreen": "loop",
"preview_play_button": false,
"title_subtitle": false,
"title_subtitle_visible_on_load": false,
"volume": 0,
"watermark_enabled": true,
"watermark_frequency": 1,
"watermark_type": "stripes"
},
"created_by_user_name": "Example User",
"created_at": "2023-06-22T22:24:22.602518Z",
"updated_at": "2025-02-11T20:59:51.427838Z",
"media_count": 0,
"ads": []
}
]
}Get player
GET
https://api.kinescope.io/v1/players/:player_idRetrieves the details of a single player by its unique ID.
Responses
{
"data": {
"id": "<UUID>",
"workspace_id": "<UUID>",
"name": "ReactNative Player",
"settings": {
"audio_only_option": true,
"call_to_action_background_url": "",
"call_to_action_button_text": "23324",
"call_to_action_button_url": "https://example.com",
"call_to_action_description": "A wonderful journey",
"call_to_action_link_text": "",
"call_to_action_link_url": "",
"call_to_action_title": "test",
"chat_button": true,
"chat_in_fullscreen": true,
"control_bar_visible_on_load": false,
"corner_rounding": 12,
"default_video_quality": 720,
"live_viewers_counter": true,
"logo_title": "3333",
"logo_url": "https://example.com/logo.png",
"show_download_links": true,
"title_subtitle": false,
"title_subtitle_visible_on_load": false,
"volume": 50,
"watermark_color": "#20202052",
"watermark_enabled": true,
"watermark_frequency": 1,
"watermark_text": "check this out"
},
"created_by_user_name": "Example User",
"created_at": "2021-08-09T08:56:36.632808Z",
"updated_at": "2026-04-06T17:14:48.246217Z",
"media_count": 0,
"logo": "https://example.com/logo.png",
"ads": []
}
}{
"error": {
"code": 400404,
"message": "not found"
}
}Update player
PUT
https://api.kinescope.io/v1/players/:player_idUpdates the specified player. Only fields provided in the request body are changed; others are left unchanged.
Request body (json)
{
"name": "my player 1.1",
"settings": {},
"ads": [
{
"url": "https://example.com/ads/vast.xml",
"trigger": {
"type": "preroll",
"trigger_settings": {
"timePoints": [
10
],
"percentages": [
50
],
"interval": 30
}
},
"countries": {
"items": [
"ru"
],
"type": "include"
}
}
]
}Delete logo
DELETE
https://api.kinescope.io/v1/players/:player_id/logoRemoves the logo from this player.